diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/ipv6-l3-protocol.h ns-3.44/src/internet/model/ipv6-l3-protocol.h
--- ns-3.43/src/internet/model/ipv6-l3-protocol.h	2024-10-09 16:41:09.888656000 -0700
+++ ns-3.44/src/internet/model/ipv6-l3-protocol.h	2025-03-09 16:55:49.399371100 -0700
@@ -740,92 +740,92 @@
     Ipv6InterfaceReverseContainer m_reverseInterfacesContainer;
 
     /**
-     * \brief Number of IPv6 interfaces managed by the stack.
+     * @brief Number of IPv6 interfaces managed by the stack.
      */
     uint32_t m_nInterfaces;
 
     /**
-     * \brief Default TTL for outgoing packets.
+     * @brief Default TTL for outgoing packets.
      */
     uint8_t m_defaultTtl;
 
     /**
-     * \brief Default TCLASS for outgoing packets.
+     * @brief Default TCLASS for outgoing packets.
      */
     uint8_t m_defaultTclass;
 
     /**
-     * \brief Rejects packets directed to an interface with wrong address (\RFC{1222}).
+     * @brief Rejects packets directed to an interface with wrong address (\RFC{1222}).
      */
     bool m_strongEndSystemModel;
 
     /**
-     * \brief Routing protocol.
+     * @brief Routing protocol.
      */
     Ptr<Ipv6RoutingProtocol> m_routingProtocol;
 
     /**
-     * \brief List of IPv6 raw sockets.
+     * @brief List of IPv6 raw sockets.
      */
     SocketList m_sockets;
 
     /**
-     * \brief List of IPv6 prefix received from RA.
+     * @brief List of IPv6 prefix received from RA.
      */
     Ipv6AutoconfiguredPrefixList m_prefixes;
 
     /**
-     * \brief Allow ICMPv6 Redirect sending state
+     * @brief Allow ICMPv6 Redirect sending state
      */
     bool m_sendIcmpv6Redirect;
 
     /**
-     * \brief IPv6 multicast addresses / interface key.
+     * @brief IPv6 multicast addresses / interface key.
      */
     typedef std::pair<Ipv6Address, uint64_t> Ipv6RegisteredMulticastAddressKey_t;
 
     /**
-     * \brief Container of the IPv6 multicast addresses.
+     * @brief Container of the IPv6 multicast addresses.
      */
     typedef std::map<Ipv6RegisteredMulticastAddressKey_t, uint32_t>
         Ipv6RegisteredMulticastAddress_t;
 
     /**
-     * \brief Container Iterator of the IPv6 multicast addresses.
+     * @brief Container Iterator of the IPv6 multicast addresses.
      */
     typedef std::map<Ipv6RegisteredMulticastAddressKey_t, uint32_t>::iterator
         Ipv6RegisteredMulticastAddressIter_t;
 
     /**
-     * \brief Container Const Iterator of the IPv6 multicast addresses.
+     * @brief Container Const Iterator of the IPv6 multicast addresses.
      */
     typedef std::map<Ipv6RegisteredMulticastAddressKey_t, uint32_t>::const_iterator
         Ipv6RegisteredMulticastAddressCIter_t;
 
     /**
-     * \brief Container of the IPv6 multicast addresses.
+     * @brief Container of the IPv6 multicast addresses.
      */
     typedef std::map<Ipv6Address, uint32_t> Ipv6RegisteredMulticastAddressNoInterface_t;
 
     /**
-     * \brief Container Iterator of the IPv6 multicast addresses.
+     * @brief Container Iterator of the IPv6 multicast addresses.
      */
     typedef std::map<Ipv6Address, uint32_t>::iterator
         Ipv6RegisteredMulticastAddressNoInterfaceIter_t;
 
     /**
-     * \brief Container Const Iterator of the IPv6 multicast addresses.
+     * @brief Container Const Iterator of the IPv6 multicast addresses.
      */
     typedef std::map<Ipv6Address, uint32_t>::const_iterator
         Ipv6RegisteredMulticastAddressNoInterfaceCIter_t;
 
     /**
-     * \brief List of multicast IP addresses of interest, divided per interface.
+     * @brief List of multicast IP addresses of interest, divided per interface.
      */
     Ipv6RegisteredMulticastAddress_t m_multicastAddresses;
 
     /**
-     * \brief List of multicast IP addresses of interest for all the interfaces.
+     * @brief List of multicast IP addresses of interest for all the interfaces.
      */
     Ipv6RegisteredMulticastAddressNoInterface_t m_multicastAddressesNoInterface;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/ipv6-list-routing.h ns-3.44/src/internet/model/ipv6-list-routing.h
--- ns-3.43/src/internet/model/ipv6-list-routing.h	2024-10-09 16:41:09.888656000 -0700
+++ ns-3.44/src/internet/model/ipv6-list-routing.h	2025-03-09 16:55:49.399371100 -0700
@@ -15,9 +15,9 @@
 {
 
 /**
- * \ingroup ipv6Routing
+ * @ingroup ipv6Routing
  *
- * \brief Hold list of Ipv6RoutingProtocol objects.
+ * @brief Hold list of Ipv6RoutingProtocol objects.
  *
  * This class is a specialization of Ipv6RoutingProtocol that allows
  * other instances of Ipv6RoutingProtocol to be inserted in a
@@ -33,45 +33,45 @@
 {
   public:
     /**
-     * \brief Get the type ID of this class.
-     * \return type ID
+     * @brief Get the type ID of this class.
+     * @return type ID
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Constructor.
+     * @brief Constructor.
      */
     Ipv6ListRouting();
 
     /**
-     * \brief Destructor.
+     * @brief Destructor.
      */
     ~Ipv6ListRouting() override;
 
     /**
-     * \brief Register a new routing protocol to be used in this IPv4 stack
-     * \param routingProtocol new routing protocol implementation object
-     * \param priority priority to give to this routing protocol.
+     * @brief Register a new routing protocol to be used in this IPv4 stack
+     * @param routingProtocol new routing protocol implementation object
+     * @param priority priority to give to this routing protocol.
      * Values may range between -32768 and +32767.
      */
     virtual void AddRoutingProtocol(Ptr<Ipv6RoutingProtocol> routingProtocol, int16_t priority);
 
     /**
-     * \brief Get the number of routing protocols.
-     * \return number of routing protocols in the list
+     * @brief Get the number of routing protocols.
+     * @return number of routing protocols in the list
      */
     virtual uint32_t GetNRoutingProtocols() const;
 
     /**
-     * \brief Get pointer to routing protocol stored at index,
+     * @brief Get pointer to routing protocol stored at index,
      *
      * The first protocol (index 0) the highest priority, the next one (index 1)
      * the second highest priority, and so on.  The priority parameter is an
      * output parameter and it returns the integer priority of the protocol.
-     * \param index index of protocol to return
-     * \param priority output parameter, set to the priority of the protocol
+     * @param index index of protocol to return
+     * @param priority output parameter, set to the priority of the protocol
      * being returned
-     * \return pointer to routing protocol indexed by
+     * @return pointer to routing protocol indexed by
      */
     virtual Ptr<Ipv6RoutingProtocol> GetRoutingProtocol(uint32_t index, int16_t& priority) const;
 
@@ -108,26 +108,26 @@
 
   protected:
     /**
-     * \brief Dispose this object.
+     * @brief Dispose this object.
      */
     void DoDispose() override;
 
   private:
     /**
-     * \brief Container identifying an IPv6 Routing Protocol entry in the list.
+     * @brief Container identifying an IPv6 Routing Protocol entry in the list.
      */
     typedef std::pair<int16_t, Ptr<Ipv6RoutingProtocol>> Ipv6RoutingProtocolEntry;
 
     /**
-     * \brief Container of the IPv6 Routing Protocols.
+     * @brief Container of the IPv6 Routing Protocols.
      */
     typedef std::list<Ipv6RoutingProtocolEntry> Ipv6RoutingProtocolList;
 
     /**
-     * \brief Compare two routing protocols.
-     * \param a first object to compare
-     * \param b second object to compare
-     * \return true if they are the same, false otherwise
+     * @brief Compare two routing protocols.
+     * @param a first object to compare
+     * @param b second object to compare
+     * @return true if they are the same, false otherwise
      */
     static bool Compare(const Ipv6RoutingProtocolEntry& a, const Ipv6RoutingProtocolEntry& b);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/ipv6-option-demux.h ns-3.44/src/internet/model/ipv6-option-demux.h
--- ns-3.43/src/internet/model/ipv6-option-demux.h	2024-10-09 16:41:09.888656000 -0700
+++ ns-3.44/src/internet/model/ipv6-option-demux.h	2025-03-09 16:55:49.399371100 -0700
@@ -21,73 +21,73 @@
 class Node;
 
 /**
- * \ingroup ipv6HeaderExt
+ * @ingroup ipv6HeaderExt
  *
- * \brief IPv6 Option Demux.
+ * @brief IPv6 Option Demux.
  */
 class Ipv6OptionDemux : public Object
 {
   public:
     /**
-     * \brief The interface ID.
-     * \return type ID
+     * @brief The interface ID.
+     * @return type ID
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Constructor.
+     * @brief Constructor.
      */
     Ipv6OptionDemux();
 
     /**
-     * \brief Destructor.
+     * @brief Destructor.
      */
     ~Ipv6OptionDemux() override;
 
     /**
-     * \brief Set the node.
-     * \param node the node to set
+     * @brief Set the node.
+     * @param node the node to set
      */
     void SetNode(Ptr<Node> node);
 
     /**
-     * \brief Insert a new IPv6 Option.
-     * \param option the option to insert
+     * @brief Insert a new IPv6 Option.
+     * @param option the option to insert
      */
     void Insert(Ptr<Ipv6Option> option);
 
     /**
-     * \brief Get the option corresponding to optionNumber.
-     * \param optionNumber the option number of the option to retrieve
-     * \return a matching IPv6 option
+     * @brief Get the option corresponding to optionNumber.
+     * @param optionNumber the option number of the option to retrieve
+     * @return a matching IPv6 option
      */
     Ptr<Ipv6Option> GetOption(int optionNumber);
 
     /**
-     * \brief Remove an option from this demux.
-     * \param option pointer on the option to remove
+     * @brief Remove an option from this demux.
+     * @param option pointer on the option to remove
      */
     void Remove(Ptr<Ipv6Option> option);
 
   protected:
     /**
-     * \brief Dispose this object.
+     * @brief Dispose this object.
      */
     void DoDispose() override;
 
   private:
     /**
-     * \brief Container of the IPv6 Options types.
+     * @brief Container of the IPv6 Options types.
      */
     typedef std::list<Ptr<Ipv6Option>> Ipv6OptionList_t;
 
     /**
-     * \brief List of IPv6 Options supported.
+     * @brief List of IPv6 Options supported.
      */
     Ipv6OptionList_t m_options;
 
     /**
-     * \brief The node.
+     * @brief The node.
      */
     Ptr<Node> m_node;
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/ipv6-option.h ns-3.44/src/internet/model/ipv6-option.h
--- ns-3.43/src/internet/model/ipv6-option.h	2024-10-09 16:41:09.888656000 -0700
+++ ns-3.44/src/internet/model/ipv6-option.h	2025-03-09 16:55:49.399371100 -0700
@@ -25,9 +25,9 @@
 {
 
 /**
- * \ingroup ipv6HeaderExt
+ * @ingroup ipv6HeaderExt
  *
- * \brief IPv6 Option base
+ * @brief IPv6 Option base
  *
  * If you want to implement a new IPv6 option, all you have to do is
  * implement a subclass of this class and add it to an Ipv6OptionDemux.
@@ -36,37 +36,37 @@
 {
   public:
     /**
-     * \brief Get the type identificator.
-     * \return type identificator
+     * @brief Get the type identificator.
+     * @return type identificator
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Destructor.
+     * @brief Destructor.
      */
     ~Ipv6Option() override;
 
     /**
-     * \brief Set the node.
-     * \param node the node to set
+     * @brief Set the node.
+     * @param node the node to set
      */
     void SetNode(Ptr<Node> node);
 
     /**
-     * \brief Get the option number.
-     * \return option number
+     * @brief Get the option number.
+     * @return option number
      */
     virtual uint8_t GetOptionNumber() const = 0;
 
     /**
-     * \brief Process method
+     * @brief Process method
      *
      * Called from Ipv6L3Protocol::Receive.
-     * \param packet the packet
-     * \param offset the offset of the extension to process
-     * \param ipv6Header the IPv6 header of packet received
-     * \param isDropped if the packet must be dropped
-     * \return the processed size
+     * @param packet the packet
+     * @param offset the offset of the extension to process
+     * @param ipv6Header the IPv6 header of packet received
+     * @param isDropped if the packet must be dropped
+     * @return the processed size
      */
     virtual uint8_t Process(Ptr<Packet> packet,
                             uint8_t offset,
@@ -75,55 +75,55 @@
 
   private:
     /**
-     * \brief The node.
+     * @brief The node.
      */
     Ptr<Node> m_node;
 };
 
 /**
- * \ingroup ipv6HeaderExt
+ * @ingroup ipv6HeaderExt
  *
- * \brief IPv6 Option Pad1
+ * @brief IPv6 Option Pad1
  */
 class Ipv6OptionPad1 : public Ipv6Option
 {
   public:
     /**
-     * \brief Pad1 option number.
+     * @brief Pad1 option number.
      */
     static const uint8_t OPT_NUMBER = 0;
 
     /**
-     * \brief Get the type identificator.
-     * \return type identificator
+     * @brief Get the type identificator.
+     * @return type identificator
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Constructor.
+     * @brief Constructor.
      */
     Ipv6OptionPad1();
 
     /**
-     * \brief Destructor.
+     * @brief Destructor.
      */
     ~Ipv6OptionPad1() override;
 
     /**
-     * \brief Get the option number.
-     * \return option number
+     * @brief Get the option number.
+     * @return option number
      */
     uint8_t GetOptionNumber() const override;
 
     /**
-     * \brief Process method
+     * @brief Process method
      *
      * Called from Ipv6L3Protocol::Receive.
-     * \param packet the packet
-     * \param offset the offset of the extension to process
-     * \param ipv6Header the IPv6 header of packet received
-     * \param isDropped if the packet must be dropped
-     * \return the processed size
+     * @param packet the packet
+     * @param offset the offset of the extension to process
+     * @param ipv6Header the IPv6 header of packet received
+     * @param isDropped if the packet must be dropped
+     * @return the processed size
      */
     uint8_t Process(Ptr<Packet> packet,
                     uint8_t offset,
@@ -132,49 +132,49 @@
 };
 
 /**
- * \ingroup ipv6HeaderExt
+ * @ingroup ipv6HeaderExt
  *
- * \brief IPv6 Option Padn
+ * @brief IPv6 Option Padn
  */
 class Ipv6OptionPadn : public Ipv6Option
 {
   public:
     /**
-     * \brief PadN option number.
+     * @brief PadN option number.
      */
     static const uint8_t OPT_NUMBER = 60;
 
     /**
-     * \brief Get the type identificator.
-     * \return type identificator
+     * @brief Get the type identificator.
+     * @return type identificator
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Constructor.
+     * @brief Constructor.
      */
     Ipv6OptionPadn();
 
     /**
-     * \brief Destructor.
+     * @brief Destructor.
      */
     ~Ipv6OptionPadn() override;
 
     /**
-     * \brief Get the option number.
-     * \return option number
+     * @brief Get the option number.
+     * @return option number
      */
     uint8_t GetOptionNumber() const override;
 
     /**
-     * \brief Process method
+     * @brief Process method
      *
      * Called from Ipv6L3Protocol::Receive.
-     * \param packet the packet
-     * \param offset the offset of the extension to process
-     * \param ipv6Header the IPv6 header of packet received
-     * \param isDropped if the packet must be dropped
-     * \return the processed size
+     * @param packet the packet
+     * @param offset the offset of the extension to process
+     * @param ipv6Header the IPv6 header of packet received
+     * @param isDropped if the packet must be dropped
+     * @return the processed size
      */
     uint8_t Process(Ptr<Packet> packet,
                     uint8_t offset,
@@ -183,48 +183,48 @@
 };
 
 /**
- * \ingroup ipv6HeaderExt
+ * @ingroup ipv6HeaderExt
  *
- * \brief IPv6 Option Jumbogram
+ * @brief IPv6 Option Jumbogram
  */
 class Ipv6OptionJumbogram : public Ipv6Option
 {
   public:
     /**
-     * \brief Jumbogram option number.
+     * @brief Jumbogram option number.
      */
     static const uint8_t OPT_NUMBER = 44;
 
     /**
-     * \brief Get the type identificator.
-     * \return type identificator
+     * @brief Get the type identificator.
+     * @return type identificator
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Constructor.
+     * @brief Constructor.
      */
     Ipv6OptionJumbogram();
 
     /**
-     * \brief Destructor.
+     * @brief Destructor.
      */
     ~Ipv6OptionJumbogram() override;
 
     /**
-     * \brief Get the option number.
-     * \return option number
+     * @brief Get the option number.
+     * @return option number
      */
     uint8_t GetOptionNumber() const override;
 
     /**
-     * \brief Process method
+     * @brief Process method
      * Called from Ipv6L3Protocol::Receive.
-     * \param packet the packet
-     * \param offset the offset of the extension to process
-     * \param ipv6Header the IPv6 header of packet received
-     * \param isDropped if the packet must be dropped
-     * \return the processed size
+     * @param packet the packet
+     * @param offset the offset of the extension to process
+     * @param ipv6Header the IPv6 header of packet received
+     * @param isDropped if the packet must be dropped
+     * @return the processed size
      */
     uint8_t Process(Ptr<Packet> packet,
                     uint8_t offset,
@@ -233,49 +233,49 @@
 };
 
 /**
- * \ingroup ipv6HeaderExt
+ * @ingroup ipv6HeaderExt
  *
- * \brief IPv6 Option Router Alert
+ * @brief IPv6 Option Router Alert
  */
 class Ipv6OptionRouterAlert : public Ipv6Option
 {
   public:
     /**
-     * \brief Router alert option number.
+     * @brief Router alert option number.
      */
     static const uint8_t OPT_NUMBER = 43;
 
     /**
-     * \brief Get the type identificator.
-     * \return type identificator
+     * @brief Get the type identificator.
+     * @return type identificator
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Constructor.
+     * @brief Constructor.
      */
     Ipv6OptionRouterAlert();
 
     /**
-     * \brief Destructor.
+     * @brief Destructor.
      */
     ~Ipv6OptionRouterAlert() override;
 
     /**
-     * \brief Get the option number.
-     * \return option number
+     * @brief Get the option number.
+     * @return option number
      */
     uint8_t GetOptionNumber() const override;
 
     /**
-     * \brief Process method
+     * @brief Process method
      *
      * Called from Ipv6L3Protocol::Receive.
-     * \param packet the packet
-     * \param offset the offset of the extension to process
-     * \param ipv6Header the IPv6 header of packet received
-     * \param isDropped if the packet must be dropped
-     * \return the processed size
+     * @param packet the packet
+     * @param offset the offset of the extension to process
+     * @param ipv6Header the IPv6 header of packet received
+     * @param isDropped if the packet must be dropped
+     * @return the processed size
      */
     uint8_t Process(Ptr<Packet> packet,
                     uint8_t offset,
